# User Base Data

## Get user base info

#### Method

get

#### Path

/v1/user

#### Returns

* id: string - User address
* web3\_id: string - The user's unique id in DeBank
* name: string - Same to web3\_id
* logo\_url: string - User logo url
* born\_at: double - User on-chain born time
* tvf: double - Value of user's followers

Request

{% tabs %}
{% tab title="Curl" %}

```bash
curl -X 'GET' 'https://api.connect.debank.com/v1/user' -H 'accept: application/json' -H 'Authorization: Bearer {Your access_token}'
```

{% endtab %}
{% endtabs %}

Response

```
{    
    "id": "0xb406359921ed307042019d8dd5ddc22949b64703",
    "logo_thumbnail_url": "https://static.debank.com/image/user/logo/0xb406359921ed307042019d8dd5ddc22949b64703/4db43b0a0818618793ccc1ec5c727f30_thumbnail.png",
    "logo_url": "https://static.debank.com/image/user/logo/0xb406359921ed307042019d8dd5ddc22949b64703/4db43b0a0818618793ccc1ec5c727f30.png",
    "web3_id": "michwill"
    "name": "michwill",
    "rank_at": 12
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloud.debank.com/en/debank-connect/api/user-base-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
